------------------------------------------------------------------------------------------------------
-- Necrosis LdC
--
-- Crateur initial (US) : Infernal (http://www.revolvus.com/games/interface/necrosis/)
-- Implmentation de base (FR) : Tilienna Thorondor
-- Reprise du projet : Lomig & Nyx des Larmes de Cenarius, Kael'Thas
-- 
-- Skins et voix Franaises : Eliah, Ner'zhul
-- Version Allemande par Arne Meier
-- Remerciements spciaux pour Sadyre (JoL)
-- Version 07.02.2006-3
------------------------------------------------------------------------------------------------------


------------------------------------------------
-- ENGLISH  VERSION TEXTS --
------------------------------------------------

function Necrosis_Localization_Dialog_En()

	Necrosis_Localization_Speech_En();

	NECROSIS_COOLDOWN = {
		["Spellstone"] = "Spellstone Cooldown",
		["Healthstone"] = "Healthstone Cooldown"
	};

	NecrosisTooltipData = {
		["Main"] = {
			Label = "|c00FFFFFFNecrosis|r",
			Stone = {
				[true] = "Yes";
				[false] = "No";
			},
			Hellspawn = {
				[true] = "On";
				[false] = "Off";
			},
			["Soulshard"] = "Soul Shard(s) : ",
			["InfernalStone"] = "Infernal Stone(s) : ",
			["DemoniacStone"] = "Demoniac Stone(s) : ",
			["Soulstone"] = "\nSoulstone : ",
			["Healthstone"] = "Healthstone : ",
			["Spellstone"] = "Spellstone : ",
			["Firestone"] = "Firestone : ",
			["CurrentDemon"] = "Demon : ",
			["EnslavedDemon"] = "Demon : Enslaved",
			["NoCurrentDemon"] = "Demon : None",
		},
		["Soulstone"] = {
			Label = "|c00FF99FFSoulstone|r",
			Text = {"Create","Use","Used","Waiting"}
		},
		["Healthstone"] = {
			Label = "|c0066FF33Healthstone|r",
			Text = {"Create","Use"}
		},
		["Spellstone"] = {
			Label = "|c0099CCFFSpellstone|r",
			Text = {"Create","In Inventory","Held in hand"}
		},
		["Firestone"] = {
			Label = "|c00FF4444Firestone|r",
			Text = {"Create","In Inventory","Held in hand"}
		},
		["SpellTimer"] = {
			Label = "|c00FFFFFFSpell Duration|r",
			Text = "Active Spells on the target",
			Right = "Right Click for Hearthstone to "
		},
		["ShadowTrance"] = {
			Label = "|c00FFFFFFShadow Transe|r"
		},
		["Domination"] = {
			Label = "|c00FFFFFFFel Domination|r"
		},
		["Enslave"] = {
			Label = "|c00FFFFFFEnslave|r"
		},
		["Armor"] = {
			Label = "|c00FFFFFFDemon Armor|r"
		},
		["Invisible"] = {
			Label = "|c00FFFFFFDetect Invisibility|r"
		},
		["Aqua"] = {
			Label = "|c00FFFFFFUnending Breath|r"
		},
		["Kilrogg"] = {
			Label = "|c00FFFFFFEye of Kilrogg|r"
		},
		["Banish"] = {
			Label = "|c00FFFFFFBanish|r"
		},
		["TP"] = {
			Label = "|c00FFFFFFRitual of Summoning|r"
		},
		["SoulLink"] = {
			Label = "|c00FFFFFFSoul Link|r"
		},
		["Imp"] = {
			Label = "|c00FFFFFFImp|r"
		},
		["Void"] = {
			Label = "|c00FFFFFFVoidwalker|r"
		},
		["Succubus"] = {
			Label = "|c00FFFFFFSuccubus|r"
		},
		["Fel"] = {
			Label = "|c00FFFFFFFelhunter|r"
		},
		["Infernal"] = {
			Label = "|c00FFFFFFInferno|r"
		},
		["Doom"] = {
			Label = "|c00FFFFFFDoomguard|r"
		},
		["Mount"] = {
			Label = "|c00FFFFFFStead|r"
		},
		["Buff"] = {
			Label = "|c00FFFFFFSpell Menu|r\nRight click to let the menu open"
		},
		["Pet"] = {
			Label = "|c00FFFFFFDemon Menu|r\nRight click to let the menu open"
		},
		["Radar"] = {
			Label = "|c00FFFFFFSense Demons|r"
		},
	};


	NECROSIS_SOUND = {
		["Fear"] = "Interface\\AddOns\\Necrosis\\sounds\\Fear-En.mp3",
		["SoulstoneEnd"] = "Interface\\AddOns\\Necrosis\\sounds\\SoulstoneEnd-En.mp3",
		["EnslaveEnd"] = "Interface\\AddOns\\Necrosis\\sounds\\EnslaveDemonEnd-En.mp3",
		["ShadowTrance"] = "Interface\\AddOns\\Necrosis\\sounds\\ShadowTrance-En.mp3"
	};


	NECROSIS_NIGHTFALL_TEXT = {
		["NoBoltSpell"] = "You do not seem to have any Shadow Bolt Spell.",
		["Message"] = "<white>S<lightPurple1>h<lightPurple2>a<purple>d<darkPurple1>o<darkPurple2>w T<darkPurple1>r<purple>a<lightPurple2>n<lightPurple1>c<white>e"
	};


	NECROSIS_MESSAGE = {
		["Error"] = {
			["InfernalStoneNotPresent"] = "You need an Infernal Stone to do that !",
			["SoulShardNotPresent"] = "You need a Soul shard to do that !",
			["DemoniacStoneNotPresent"] = "You need a Demoniac Stone to do that !",
			["NoRiding"] = "You do not have any Steed to ride !",
			["NoFireStoneSpell"] = "You do not have any Firestone creation spell",
			["NoSpellStoneSpell"] = "You do not have any Spellstone creation spell",
			["NoHealthStoneSpell"] = "You do not have any Healthstone creation spell",
			["NoSoulStoneSpell"] = "You do not have any Soulstone creation spell",
			["FullHealth"] = "You cannot use your Healthstone as you are not hurt",
			["BagAlreadySelect"] = "Error : This bag is already selected.",
			["WrongBag"] = "Error : The number must be between 0 and 4.",
			["BagIsNumber"] = "Error : Please type a number.",
			["NoHearthStone"] = "Error : You do not have any Hearthstone in your inventory"
		},
		["Bag"] = {
			["FullPrefix"] = "Your ",
			["FullSuffix"] = " is full !",
			["FullDestroySuffix"] = " is full; Next shards will be destroyed !",
			["SelectedPrefix"] = "You have chosen your ",
			["SelectedSuffix"] = " to keep your shards."
		},
		["Interface"] = {
			["Welcome"] = "<white>/necro to show the setting menu !",
			["TooltipOn"] = "Tooltips turned on" ,
			["TooltipOff"] = "Tooltips turned off",
			["MessageOn"] = "Chat messaging turned on",
			["MessageOff"] = "Chat messaging turned off",
			["MessagePosition"] = "<- Here will appear system messages by Necrosis ->",
			["DefaultConfig"] = "<lightYellow>Default configuration loaded.",
			["UserConfig"] = "<lightYellow>Configuration loaded."
		},
		["Help"] = {
		},
		["EquipMessage"] = "Equip ",
		["SwitchMessage"] = " instead of ",
		["Information"] = {
			["FearProtect"] = "Your target has got a fear protection !!!!",
			["EnslaveBreak"] = "Your demon broke his chains...",
			["SoulstoneEnd"] = "<lightYellow>Your Soulstone has faded."
		}
	};


	-- Gestion XML - Menu de configuration

	NECROSIS_COLOR_TOOLTIP = {
		["Purple"] = "Purple",
		["Blue"] = "Blue",
		["Pink"] = "Pink",
		["Orange"] = "Orange",
		["Turquoise"] = "Turquoise",
		["X"] = "X"
	};
	
	NECROSIS_CONFIGURATION = {
		["Menu1"] = "Shards Setting",
		["Menu2"] = "Messages Setting",
		["Menu3"] = "Buttons Setting",
		["Menu4"] = "Timer Setting",
		["Menu5"] = "Graphical Setting",
		["MainRotation"] = "Necrosis Angle Selection",
		["ShardMenu"] = "|CFFB700B7I|CFFFF00FFn|CFFFF50FFv|CFFFF99FFe|CFFFFC4FFn|CFFFF99FFt|CFFFF50FFo|CFFFF00FFr|CFFB700B7y :",
		["ShardMenu2"] = "|CFFB700B7S|CFFFF00FFh|CFFFF50FFa|CFFFF99FFr|CFFFFC4FFd C|CFFFF99FFo|CFFFF50FFu|CFFFF00FFn|CFFB700B7t :",
		["ShardMove"] = "Put the shards in the selected bag.",
		["ShardDestroy"] = "Destroy all new shards if the bag is full.",
		["SpellMenu1"] = "|CFFB700B7S|CFFFF00FFp|CFFFF50FFe|CFFFF99FFl|CFFFFC4FFls :",
		["SpellMenu2"] = "|CFFB700B7P|CFFFF00FFl|CFFFF50FFa|CFFFF99FFy|CFFFFC4FFe|CFFFF99FFr :",
		["TimerMenu"] = "|CFFB700B7G|CFFFF00FFr|CFFFF50FFa|CFFFF99FFp|CFFFFC4FFh|CFFFF99FFi|CFFFF50FFc|CFFFF00FFa|CFFB700B7l T|CFFFF00FFi|CFFFF50FFm|CFFFF99FFe|CFFFFC4FFrs :",
		["TimerColor"] = "Show white timer texts instead of yellow ones",
		["TimerDirection"] = "Timers growing up",
		["TranseWarning"] = "Warn me when I enter a Trance State.",
		["SpellTime"] = "Turn on the spell duration indicator.",
		["AntiFearWarning"] = "Warn me when my target cannot be feared.",
		["GraphicalTimer"] = "Show graphical timers instead of text ones",	
		["TranceButtonView"] = "Let me see hidden buttons to drag them.",
		["ButtonLock"] = "Lock the buttons around the Necrosis Sphere.",
		["MainLock"] = "Lock buttons and the Necrosis Sphere.",
		["BagSelect"] = "Selection of the Soul Shards Container",
		["BuffMenu"] = "Put the buff menu on the left",
		["PetMenu"] = "Put the pet menu on the left",
		["STimerLeft"] = "Show timers on the left side of the button",
		["ShowCount"] = "Show the Shard count in Necrosis",
		["CountType"] = "Stone type counted",
		["Circle"] = "Event shown by the graphical sphere",
		["Sound"] = "Activate sounds",
		["ShowMessage"] = "Activate random speeches on summoning",
		["ChatType"] = "Declare Necrosis messages as system messages",
		["NecrosisSize"] = "Size of the Necrosis button",
		["TranseSize"] = "Size of Transe and Anti-fear buttons",
		["Skin"] = "Skin of the Necrosis Sphere",
		["Show"] = {
			["Firestone"] = "Show the Firestone button",
			["Spellstone"] = "Show the Spellstone button",
			["Healthstone"] = "Show the Healthstone button",
			["Soulstone"] = "Show the Soulstone button",
			["Steed"] = "Show the Steed button",
			["Buff"] = "Show the buff menu button",
			["Demon"] = "Show the demon invoking menu button",
			["Tooltips"] = "Show the tooltips"
		},
		["Count"] = {
			["Shard"] = "Soulshards",
			["Inferno"] = "Demon summoning stones",
			["Rez"] = "Resurrection Timer"
		}
	};

end
